!=========================================================================
! Copyright (C) GemStone Systems, Inc. 1986-2011.  All Rights Reserved.
!
! $Id: auditimage.gs,v 1.8 2008-01-09 19:02:29 stever Exp $
!
! Description -  Object audit and garbage collect for use in filein.
!
!=========================================================================

expectvalue true
run
SystemRepository auditWithLimit:50000
%

expectvalue System
run
  "GC session should be disabled"
System stopOtherSessions.
[ System currentSessions size == 1 ] untilTrue.
System resumeLogins
%

level 2
expectvalue true
run
| gcOK count |
gcOK := true .
count := 0.
((System gcSession: #GC) == 0)
ifTrue: [
  System startGC: #GC .
  [((System gcSession: #GC) == 0) _and:[count < 30] ]
  whileTrue:[
    count := count + 1 .
    System sleep: 1  ].
  gcOK := (System gcSession: #GC) ~~ 0 ].
gcOK
ifTrue:[ ^ true ]
ifFalse: [ ^ System gcSession: #ALL ].
%
level 0

logout
login

expectvalue true
run
SystemRepository markForCollectionWait: -1.
%

level 2
expectvalue %Array
run
System gcSession: #ALL
%
level 0

expectvalue %String
run
System currentSessionNames
%

logout
login

expectvalue true
run
SystemRepository reclaimAll
%

expectvalue true
expecterror GemStoneError 3021
run
   "Expect object audit"
SystemRepository objectAuditFullChecks
%

